Zum Inhalt springen

Überblick

  • Version: 2.0
  • Servers: https://api.xsolla.com/merchant/v2/

Diese API-Referenz beschreibt Endpunkte für die Verwaltung von Abonnements, Gutscheinen und Werbeaktionen. Weitere Informationen über Subscriptions finden Sie in der Produktanleitung und in der Begriffserläuterung.

OpenAPI-Beschreibung herunterladen
Sprachen
Server
Mock server
https://xsolla.redocly.app/_mock/de/api/subscriptions/
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Anfrage

Sicherheit
subscriptionsManagementJwtAuth
Pfad
subscription_idinteger\d+erforderlich
project_idinteger\d+erforderlich
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/activate' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Move subscription from non-renew to active

Bodyapplication/json
Antwort
application/json
{ "status": "successful" }

Anfrage

Sicherheit
subscriptionsManagementJwtAuth
Pfad
subscription_idinteger\d+erforderlich
project_idinteger\d+erforderlich
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/de/api/subscriptions/api/user/v1/management/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Antworten

Make subscription non-renewable

Bodyapplication/json
Antwort
application/json
null